<template>
    <div class="main-screen">
        <base-container>
            <div class="main-screen__content">
                <div class="main-screen__center-block">
                    <div class="main-screen__center-block-title">
                        <div class="main-screen__center-block-item main-screen__center-block-item--sale">
                            <router-link
                                to="#"
                                class="main-screen__center-block-link"
                            >
                                {{ $t('sell') }}
                            </router-link>
                        </div>
                        <div class="main-screen__center-block-img">
                            <img src="~icons/main-screen-logo.svg">
                        </div>
                        <div class="main-screen__center-block-item main-screen__center-block-item--buy">
                            <router-link
                                to="#"
                                class="main-screen__center-block-link"
                            >
                                {{ $t('buy') }}
                            </router-link>
                        </div>
                    </div>
                    <div class="main-screen__center-block-mobile-text">{{ $t('nameCompany') }}</div>
                </div>

                <home-info-block
                    :position="{ left: '-27vw', top: '-16vh' }"
                    keylang="service"
                    icon="main-screen-service"
                    background
                />

                <home-info-block
                    :position="{ left: '-22vw', top: '17.4vh' }"
                    keylang="business"
                    icon="main-screen-buisnes"
                    background
                />

                <home-info-block
                    :position="{ left: '30vw', top: '-23.4vh' }"
                    keylang="technology"
                    icon="main-screen-technology"
                    background
                />

                <home-info-block
                    :position="{ left: '26vw', top: '16vh' }"
                    keylang="science"
                    icon="main-screen-sience"
                    background
                />

            </div>
        </base-container>
    </div>
</template>

<script>
import HomeInfoBlock from 'components/home/HomeInfoBlock';

export default {
    name: 'home',
    components: {
        HomeInfoBlock
    }
};
</script>

<style lang="sass">
    @import '~blocks/main-screen.sass'
</style>
